CVE-2021-32788

Published on: 07/27/2021 12:00:00 AM UTC

Last Modified on: 08/05/2021 01:31:00 PM UTC

CVE-2021-32788 - advisory for GHSA-v6xg-q577-vc92

Source: Mitre Source: Nist Print: PDF PDF
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N

Certain versions of Discourse from Discourse contain the following vulnerability:

Discourse is an open source discussion platform. In versions prior to 2.7.7 there are two bugs which led to the post creator of a whisper post being revealed to non-staff users. 1: Staff users that creates a whisper post in a personal message is revealed to non-staff participants of the personal message even though the whisper post cannot be seen by them. 2: When a whisper post is before the last post in a post stream, deleting the last post will result in the creator of the whisper post to be revealed to non-staff users as the last poster of the topic.

  • CVE-2021-32788 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as MEDIUM severity.
  • Affected Vendor/Software: URL Logo discourse - discourse version < 2.7.7

CVSS3 Score: 4.3 - MEDIUM

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW LOW NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED LOW NONE NONE

CVSS2 Score: 4 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK LOW SINGLE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL NONE NONE

CVE References

Description Tags Link
SECURITY: Don't leak user of previous whisper post when deleting a to… · discourse/[email protected] · GitHub github.com
text/html
URL Logo MISC github.com/discourse/discourse/commit/dbdf61196d9e964e8823793d2e7f856595fea4d9
Post creator of a whisper post can be revealed to non-staff users. · Advisory · discourse/discourse · GitHub github.com
text/html
URL Logo CONFIRM github.com/discourse/discourse/security/advisories/GHSA-v6xg-q577-vc92
SECURITY: Do not reveal post whisperer in personal messages. · discourse/[email protected] · GitHub github.com
text/html
URL Logo MISC github.com/discourse/discourse/commit/680024f9071b7696e5a444a58791016c6dc1f1e5

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationDiscourseDiscourseAllAllAllAll
  • cpe:2.3:a:discourse:discourse:*:*:*:*:*:*:*:*:

Social Mentions

Source Title Posted (UTC)
Twitter Icon @CVEreport CVE-2021-32788 : Discourse is an open source discussion platform. In versions prior to 2.7.7 there are two bugs whi… twitter.com/i/web/status/1… 2021-07-27 21:44:14
Twitter Icon @threatmeter CVE-2021-32788 Discourse is an open source discussion platform. In versions prior to 2.7.7 there are two bugs which… twitter.com/i/web/status/1… 2021-07-28 07:09:50
Twitter Icon @SecRiskRptSME RT: CVE-2021-32788 Discourse is an open source discussion platform. In versions prior to 2.7.7 there are two bugs… twitter.com/i/web/status/1… 2021-07-28 07:33:14
© CVE.report 2021 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report